MINISTAT(1)

NAME
ministat - statistics utility

SYNOPSIS
ministat [-Anqs] [-C column] [-c confidence] [-d delimiters] [-w width] [file ...]

DESCRIPTION
The ministat command calculates fundamental statistical properties of numeric data in the specified files or, if no file is specified, standard input.

The options are as follows:

-A  Just report the statistics of the input and relative comparisons, suppress the ASCII-art plot.

-C column
    Specify which column of data to use. By default the first column in the input file(s) is used.

-c confidence
    Specify desired confidence level for Student's T analysis. Possible percent values are 80, 90, 95, 98, 99, and 99.5.

-d delimiters
    Specify the column delimiter characters, default is ‘ \t’ (i.e., a space and a tab). See strtok(3) for details.

-n  Just report the raw statistics of the input, suppress the ASCII-art plot and the relative comparisons.

-q  Suppress printing of summary statistics and data-set names; typically for use alongside -n.

-s  Print the average/median/stddev bars on separate lines in the ASCII-art plot, to avoid overlap.

-w width
    Set the width of the ASCII-art plot in characters. The default is the terminal width, or 74 if standard output is not a terminal.

ministat accepts up to seven input files.

Each dataset must contain at least three values.

EXIT STATUS

EXAMPLES
Let's consider two input files. The first one will be “iguana”:

    50
    200
    150
    400
    750
    400
    150

The second one will be “chameleon”:

    150
    400
    720
    500
    930

A sample output could look like this:

    $ ministat -s -w 60 iguana chameleon
    x iguana
    + chameleon
    +------------------------------------------------------------+
    |x      *  x            *      +              + x           +|
    | |________M______A_______________|                          |
    |             |________________M__A___________________|      |
    +------------------------------------------------------------+
        N        Min        Max     Median        Avg       Stddev
    x   7         50        750        200        300    238.04761
    +   5        150        930        500        540    299.08193
    No difference proven at 95.0% confidence

If ministat tells you, as in the example above, that there is no difference proven at 95% confidence, the two datasets you gave it are for all statistical purposes identical.

You have the option of lowering your standards by specifying a lower confidence level:

    $ ministat -s -w 60 -c 80 iguana chameleon
    x iguana
    + chameleon
    +------------------------------------------------------------+
    |x      *  x            *      +              + x           +|
    | |________M______A_______________|                          |
    |             |________________M__A___________________|      |
    +------------------------------------------------------------+
        N        Min        Max     Median        Avg       Stddev
    x   7         50        750        200        300    238.04761
    +   5        150        930        500        540    299.08193
    Difference at 80.0% confidence
          240 +/- 212.215
          80% +/- 70.7384%
          (Student's t, pooled s = 264.159)

But a lower standard does not make your data any better, and the example is only included here to show the format of the output when a statistical difference is proven according to Student's T method.

SEE ALSO
Any mathematics text on basic statistics, for instance the following book, which supplied the above example: Larry Gonick, Woollcott Smith, The Cartoon Guide to Statistics, 1993, HarperPerennial, ISBN 0-06-273102-5.

HISTORY
The ministat command was written by Poul-Henning Kamp out of frustration over all the bogus benchmark claims made by people with no understanding of the importance of uncertainty and statistics.

From FreeBSD 5.2 it has lived in the source tree as a developer tool, graduating to the installed system from FreeBSD 8.0.